TYPO3.Neos - Task # 52203

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Should have
Author: Rasmus Skjoldan Category: ul

Created: 2013-09-23 Assigned To: Rens Admiraal
Updated: 2013-10-09 Due date:

Subject: Redesign login screen

Description

New updated design for the login screen to match the flat Ul style.

The design doesn't contain any handling of failed logins/logout, but that should be a tooltip which is shown beneath the login button
and styled like the inspector validation error with the arrow and error color if failed login and notice or success color for successful
logout.

Associated revisions

Revision d154e7fa - 2013-10-09 19:25 - Tim Kandel

[FEATURE] Implement new login screen design

New login screen design implementation.

Change-Id: 1253b43aedb07bd64100205330cfac10543c8aad2

Related: #52203

Revision 151¢c17dc - 2013-10-09 19:32 - Aske Ertmann

[BUGFIX] Clean up after direct push of new login design

Related: #52203

Revision 9cae131a - 2013-10-09 19:42 - Aske Ertmann

[TASK] Revert login screen footer text changes

Change-Id: 17242eb6713ee7ad020dccbcbc89c8b6067¢9c378

Related: #52203
Reviewed-on: https://review.typo3.org/24505

Reviewed-by: Aske Ertmann

Tested-by: Aske Ertmann

Revision 16194f5f - 2013-12-10 16:32 - Aske Ertmann

[TASK] Change footer text on login screen

Change-Id: 1576741267488c163709b7¢7¢928f95dcf3c9c9b1
Related: #52203
https://review.typo3.org/24505

Releases: 1.0, master

Reviewed-on: https://review.typo3.0rg/24506

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision ¢3887411 - 2013-12-10 16:32 - Aske Ertmann

[TASK] Change footer text on login screen

Change-Id: 1576741267488c163709b7c7¢c928f95dcf3c9c9b1

Related: #52203

Releases: 1.0, master
Reviewed-on: https://review.typo3.org/24506

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

(cherry picked from commit 16194f5fd07e538546066f36b91e65¢c1e19a369c)

Reviewed-on: https://review.typo3.org/26295

Revision 97e6d855 - 2014-02-27 02:37 - Aske Ertmann

[TASK] Reintroduce shake effect after failed login attempt

This was removed during the implementation of the new styling,

however the purpose is still valid since we don't have any delay
for failed login attempts so users can end up not noticing that it

actually tried to login and failed so they keep waiting for a response.

Change-Id: 10b93614d1ee814bb71f28cac0a3a8c8de68428ae
Related: #52203

Releases: master

Reviewed-on: https://review.typo3.org/26485

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History

#1 - 2013-09-23 23:36 - Rasmus Skjoldan
- File neos_login_focus.png added

- File neos_login_no-focus.png added

- File neos_login_02.psd added

- Status changed from Resolved to New

- Assigned To deleted (Aske Ertmann)

New login design attached.

Needs to work in responsive widths.
Text is fixed to the bottom when there's space for it. Variable width. 32px in and 32px up from bottom of browser.

When text get close to overlapping login button (needs minimum distance of 60px) the text becomes scrollable.

Site name is added to the "Login to" button.

Not sure what the correct final text should be but the current in Alpha 5 is weird. For now, replace with:

"TYPO3 Neos —© 2006-2013 This is free software, and you are welcome to redistribute it under certain conditions; click for details. Extensions are
copyright of their respective owners. TYPO3 Neos comes with ABSOLUTELY NO WARRANTY:; click for details. Obstructing the appearance of this

notice is prohibited by law. See neos.typo3.org for more details. Obstructing the appearance of this notice is prohibited by law."

If it's important to someone to have the names in there it must be discussed which names should go in.

#2 - 2013-09-25 15:25 - Karsten Dambekalns

Hi.

Rasmus Skjoldan wrote:

Site name is added to the "Login to" button.

What about long site names? And what about setups where mutliple sites are in the same Neos installation?

I'd say this is a dead end, and in the first designs we already had the name in, and it did not work out...

#3 - 2013-09-25 15:27 - Rasmus Skjoldan

Check - I'll do a revision where it's not in the button name.

#4 - 2013-09-25 15:41 - Rasmus Skjoldan

- Assigned To set to Rasmus Skjoldan

#5 - 2013-10-02 17:03 - Rasmus Skjoldan

- File neos_23.png added
- Assigned To changed from Rasmus Skjoldan to Aske Ertmann

Updated with name outside of the login button for longer installation names.

#6 - 2013-10-03 19:13 - Tim Kandel
- Status changed from New to Accepted
- Assigned To changed from Aske Ertmann to Tim Kandel

#7 - 2013-10-04 10:51 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24360

#8 - 2013-10-04 10:53 - Tim Kandel
- Assigned To changed from Tim Kandel to Rens Admiraal

Basic implementation is done. Rens still has to take a look at it for responsiveness and will implement the rest

#9 - 2013-10-09 11:24 - Tim Kandel

As discussed with Rens today remaining TODOs are:
- responsiveness

- color of status message (wrong credentials, successful logout)

#10 - 2013-10-09 22:23 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#11 - 2013-10-09 22:23 - Aske Ertmann
- Target version changed from 1.0 beta 1 to 1.0 alpha 6

Files

neos_login_focus.png 25.3 kB 2013-09-23 Rasmus Skjoldan
neos_login_no-focus.png 25.3 kB 2013-09-23 Rasmus Skjoldan
neos_login_02.psd 565.2 kB 2013-09-23 Rasmus Skjoldan
neos_23.png 25.8 kB 2013-10-02 Rasmus Skjoldan
